Bug 209662 - x11/xfce4-terminal: Crumbles title name of the tab and main windows xfce4-terminal
Summary: x11/xfce4-terminal: Crumbles title name of the tab and main windows xfce4-ter...
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: --- Affects Only Me
Assignee: freebsd-xfce mailing list
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2016-05-20 14:42 UTC by Vladimir Omelchuk
Modified: 2016-10-19 06:32 UTC (History)
2 users (show)

See Also:
bugzilla: maintainer-feedback? (xfce)


Attachments
Screenshot (53.85 KB, image/png)
2016-05-20 14:42 UTC, Vladimir Omelchuk
no flags Details
xfce4-terminal-0.6.90 with LC KOI8-R (24.41 KB, image/png)
2016-07-30 12:37 UTC, Vladimir Omelchuk
no flags Details
xfce4-terminal-0.6.90 with LC EN (19.14 KB, image/png)
2016-07-30 12:38 UTC, Vladimir Omelchuk
no flags Details
xfce4-terminal-0.6.3 with LC KOI8-R (20.43 KB, image/png)
2016-07-30 12:39 UTC, Vladimir Omelchuk
no flags Details
xfce4-terminal-0.6.3 with LC EN (20.24 KB, image/png)
2016-07-30 12:39 UTC, Vladimir Omelchuk
no flags Details

Note You need to log in before you can comment on or make changes to this bug.
Description Vladimir Omelchuk 2016-05-20 14:42:45 UTC
Created attachment 170504 [details]
Screenshot

This problem is not new :(
See in the attachment screenshot ...

<uname>
FreeBSD 10.3-RELEASE-p3 amd64

<make.conf>
CPUTYPE?=core2
OPTIONS_SET=CUPS
WITHOUT_LPR=YES
DEFAULT_VERSIONS=apache=2.4
QT4_OPTIONS=CUPS NAS QGTKSTYLE
LOCALIZED_LANG=ru
DEFAULT_VERSIONS+=perl5=5.20
MAKE_JOBS_UNSAFE=yes
DEFAULT_VERSIONS=mysql=5.7
.if ${.CURDIR:M*/ports/devel/ccache}
NO_CCACHE=yes
.endif
Comment 1 Vladimir Omelchuk 2016-07-29 17:32:51 UTC
https://bugzilla.xfce.org/show_bug.cgi?id=12589

--- Comment #3 from Igor <f2404@yandex.ru> ---
Resolved on the vte side.

Waiting update xfce4-terminal to version 0.6.90 (with gtk & vte).

https://github.com/xfce-mirror/xfce4-terminal/blob/master/NEWS
Comment 2 Olivier Duchateau freebsd_committer 2016-07-29 20:39:41 UTC
(In reply to Vladimir Omelchuk from comment #1)

Devel version of xfce4-terminal is available in Xfce repository [1]. It is build against GTK+ 3 and Vte3.

[1] https://app.assembla.com/spaces/xfce4/subversion/source/HEAD/trunk/x11/xfce4-terminal
Comment 3 Vladimir Omelchuk 2016-07-30 06:36:41 UTC
See testing xfce4-terminal-0.6.90: 
http://dropmefiles.com/HSNx4

Bugs with size tab/window xfce4-terminal ...
Comment 4 Olivier Duchateau freebsd_committer 2016-07-30 09:37:50 UTC
(In reply to Vladimir Omelchuk from comment #3)

During my test, I see this boring bug.

I found possible workaround (tested only with GTK+ 3.18) with revision r502 [1].

[1] https://app.assembla.com/spaces/xfce4/subversion/commits/502
Comment 5 Vladimir Omelchuk 2016-07-30 11:27:09 UTC
Super! Now no bugs!
Is it possible to reduce the height of the tabs?
Comment 6 Olivier Duchateau freebsd_committer 2016-07-30 12:29:19 UTC
(In reply to Vladimir Omelchuk from comment #5)

Create ~/.config/gtk-3.0/gtk.css file, with content below (for example):

TerminalWindow GtkNotebook.notebook {
        padding-top: 0;
        padding-bottom: 0;
}

You can test different values of padding-top and padding-bottom.
Comment 7 Vladimir Omelchuk 2016-07-30 12:35:53 UTC
Something is wrong with the color for pseudographics.
See attachments ...
Comment 8 Vladimir Omelchuk 2016-07-30 12:37:46 UTC
Created attachment 173116 [details]
xfce4-terminal-0.6.90 with LC KOI8-R
Comment 9 Vladimir Omelchuk 2016-07-30 12:38:23 UTC
Created attachment 173117 [details]
xfce4-terminal-0.6.90 with LC EN
Comment 10 Vladimir Omelchuk 2016-07-30 12:39:05 UTC
Created attachment 173118 [details]
xfce4-terminal-0.6.3 with LC KOI8-R
Comment 11 Vladimir Omelchuk 2016-07-30 12:39:35 UTC
Created attachment 173119 [details]
xfce4-terminal-0.6.3 with LC EN
Comment 12 Vladimir Omelchuk 2016-07-30 12:41:13 UTC
(In reply to Olivier Duchateau from comment #6)

OK, thanks!
I will test ...
Comment 13 Olivier Duchateau freebsd_committer 2016-07-30 13:00:53 UTC
(In reply to Vladimir Omelchuk from comment #7)

I think problem comes from Vte3.
Comment 14 Vladimir Omelchuk 2016-07-30 13:03:51 UTC
(In reply to Olivier Duchateau from comment #13)

Can you fix it?
Comment 15 Vladimir Omelchuk 2016-07-30 14:07:47 UTC
(In reply to Olivier Duchateau from comment #6)

Work is fine! Thanks!
Comment 16 Olivier Duchateau freebsd_committer 2016-07-31 07:43:15 UTC
(In reply to Vladimir Omelchuk from comment #14)

I'm going to try...
Comment 17 Vladimir Omelchuk 2016-08-12 09:40:25 UTC
In the console I get warnings like this:

...
(xfce4-terminal:9866): Gtk-WARNING **: gtk_widget_size_allocate(): attempt to allocate widget with width 228 and height -3
(xfce4-terminal:9866): Gtk-WARNING **: gtk_widget_size_allocate(): attempt to allocate widget with width 191 and height -3
(xfce4-terminal:9866): Gtk-WARNING **: gtk_widget_size_allocate(): attempt to allocate widget with width 1 and height -3
(xfce4-terminal:9866): Gtk-WARNING **: gtk_widget_size_allocate(): attempt to allocate widget with width -3 and height -3
(xfce4-terminal:9866): Gtk-WARNING **: gtk_widget_size_allocate(): attempt to allocate widget with width -3 and height -3
...

It can be fixed?
Comment 18 Olivier Duchateau freebsd_committer 2016-08-23 16:06:36 UTC
(In reply to Vladimir Omelchuk from comment #17)

Warnings are displayed when you use your own gtk.css? Or not. (If not, what's result of: pkg query %dn-%dv xfce4-terminal).

Personally I don't override padding, and everything is fine (except with NCurses dialogs).
Comment 19 Vladimir Omelchuk 2016-08-23 18:02:19 UTC
(In reply to Olivier Duchateau from comment #18)

Warnings are always displayed and not dependent on the use own gtk.css.

root@vladiom:~ # pkg query %dn-%dv xfce4-terminal | nl
     1	libxml2-2.9.3
     2	libxfce4util-4.12.1
     3	gdk-pixbuf2-2.32.3_1
     4	pango-1.38.0_1
     5	cairo-1.14.6_1,2
     6	vte3-0.42.4_1
     7	xfce4-conf-4.12.0
     8	gettext-runtime-0.19.8.1
     9	dbus-glib-0.104
    10	libX11-1.6.3,1
    11	gtk3-3.18.8_3
    12	atk-2.18.0
    13	glib-2.46.2_2
    14	libxfce4menu-4.12.1_1
root@vladiom:~ #
Comment 20 Olivier Duchateau freebsd_committer 2016-08-23 19:49:45 UTC
(In reply to Vladimir Omelchuk from comment #19)

Difference between you and me, is, I use some devel releases of Xfce core components (Gtk+3 supports is enhanced):

- sysutils/garcon 0.5.0 (this update is not necessary)
- x11/libexo 0.11.1 (mandatory if you want to use xfce4-whiskermenu-plugin >= 2.x, Gtk+3 port)
- x11/libxfce4menu 4.13.0 (I think you need to update this library, because it contains some specifics widgets)

Each ports are available in 'trunk' branch.

You can fetch only part of the 'trunk' branch. As I said x11/libxfce4menu is sufficient (you can keep the official Mk/Uses/xfce.mk file):

svn co https://subversion.assembla.com/svn/xfce4/trunk/x11/libxfce4menu

Then copy contents into official ports tree (using poudriere or synth is better IMHO). Rebuild all ports which depends of libxfce4menu (pkg query %ro libxfce4menu returns complete list) and I hope everything should be fine.
Comment 21 Olivier Duchateau freebsd_committer 2016-08-23 19:59:59 UTC
Be careful, If you use ports in my 'trunk' branch, I don't follow process of official ports tree (no PORTREVISION, when I add patch and so on).
Comment 22 Vladimir Omelchuk 2016-08-24 12:46:09 UTC
(In reply to Olivier Duchateau from comment #20)

Update x11/libxfce4menu to version 4.13.0:

root@vladiom:~ # pkg query %dn-%dv xfce4-terminal | nl
     1	libxml2-2.9.3
     2	libxfce4util-4.12.1
     3	gdk-pixbuf2-2.32.3_1
     4	pango-1.38.0_1
     5	cairo-1.14.6_1,2
     6	vte3-0.42.4_1
     7	xfce4-conf-4.12.0
     8	gettext-runtime-0.19.8.1
     9	dbus-glib-0.104
    10	libX11-1.6.3,1
    11	gtk3-3.18.8_3
    12	atk-2.18.0
    13	glib-2.46.2_2
    14	libxfce4menu-4.13.0
root@vladiom:~ # 

and rebuild all ports which depends of libxfce4menu:

root@vladiom:~ # pkg query %ro libxfce4menu | nl
     1	x11-fm/thunar
     2	sysutils/xfce4-systemload-plugin
     3	archivers/squeeze
     4	x11/xfce4-terminal
     5	sysutils/xfce4-netload-plugin
     6	x11/xfce4-screenshooter-plugin
     7	sysutils/garcon
     8	sysutils/xfce4-settings
     9	x11-wm/xfce4-session
    10	sysutils/xfce4-cpugraph-plugin
    11	deskutils/xfce4-notifyd
    12	x11-wm/xfce4-desktop
    13	x11-fm/thunar-vfs
    14	misc/xfce4-weather-plugin
    15	x11/libexo
    16	deskutils/xfce4-xkb-plugin
    17	x11-wm/xfce4-panel
    18	deskutils/orage
    19	misc/xfce4-appfinder
    20	x11-wm/xfce4-wm
root@vladiom:~ # 


but warnings the same:
'''
(xfce4-terminal:2940): Gtk-WARNING **: gtk_widget_size_allocate(): attempt to allocate widget with width 230 and height -3
(xfce4-terminal:2940): Gtk-WARNING **: gtk_widget_size_allocate(): attempt to allocate widget with width 192 and height -3
(xfce4-terminal:2940): Gtk-WARNING **: gtk_widget_size_allocate(): attempt to allocate widget with width 39 and height -3
(xfce4-terminal:2940): Gtk-WARNING **: gtk_widget_size_allocate(): attempt to allocate widget with width 174 and height -3
(xfce4-terminal:2940): Gtk-WARNING **: gtk_widget_size_allocate(): attempt to allocate widget with width 20 and height -3
(xfce4-terminal:2940): Gtk-WARNING **: gtk_widget_size_allocate(): attempt to allocate widget with width 20 and height -3
(xfce4-terminal:2940): Gtk-WARNING **: gtk_widget_size_allocate(): attempt to allocate widget with width 162 and height -3
...

and new warnings:
...
(xfce4-panel:2928): GLib-WARNING **: GChildWatchSource: Exit status of a child process was requested but ECHILD was received by waitpid(). Most likely the process is ignoring SIGCHLD, or some other thread is invoking waitpid() with a nonpositive first argument; either behavior can break applications that use g_child_watch_add()/g_spawn_sync() either directly or indirectly.

(xfce4-session:2909): GLib-GObject-CRITICAL **: g_object_unref: assertion 'G_IS_OBJECT (object)' failed
xinit: connection to X server lost
...
Comment 23 Olivier Duchateau freebsd_committer 2016-08-31 16:31:10 UTC
New version is available 0.6.91, but I noticed a boring bug, cursor shape is not plain when is type of block.

I'm still try to find solution for warnings with releases >= 9.3.
Comment 24 Vladimir Omelchuk 2016-08-31 21:17:46 UTC
Test of the new version or wait until fix bug?
Comment 25 Olivier Duchateau freebsd_committer 2016-08-31 21:32:04 UTC
(In reply to Vladimir Omelchuk from comment #24)

I think it's better to wait, I try different patches, but I get same behavior.

I opened a bug (on Xfce's BugZilla) in order to track down this issue.
Comment 26 Olivier Duchateau freebsd_committer 2016-09-07 20:23:54 UTC
(In reply to Vladimir Omelchuk from comment #24)

Cursor issue was fixed, it works fine.

Now I'm focusing on NCurses problem (even with UTF-8 locale, glitches are still present).
Comment 27 Olivier Duchateau freebsd_committer 2016-09-12 20:40:17 UTC
(In reply to Vladimir Omelchuk from comment #22)

I've just tested xfce4-terminal 0.6.92 on FreeBSD 11.0-RC2 and I get no warnings like my other machine (9.3-RELEASE).
Comment 28 Vladimir Omelchuk 2016-09-18 04:16:03 UTC
(In reply to Olivier Duchateau from comment #26)

Need test of the xfce4-terminal-0.6.92 or still wait?
Comment 29 Olivier Duchateau freebsd_committer 2016-09-18 12:06:15 UTC
(In reply to Vladimir Omelchuk from comment #28)

xfce4-terminal is fully functional. I get no warnings, you can use it (available on trunk branch).

Note: ncurses dialogs boxes are not well displayed, and I don't know if it's vte or something else (I'm working on new ports).
Comment 30 Vladimir Omelchuk 2016-09-18 12:20:47 UTC
Other depends ports need to be updated or enough only xfce4-terminal?
Comment 31 Vladimir Omelchuk 2016-09-18 13:04:23 UTC
Update to version 0.6.92:

root@vladiom:~ # pkg version -v | grep xfce4-term
xfce4-terminal-0.6.92              =   up-to-date with index

root@vladiom:~ # pkg query %dn-%dv xfce4-terminal | nl
     1	libxml2-2.9.4
     2	libxfce4util-4.12.1
     3	gdk-pixbuf2-2.32.3_1
     4	pango-1.38.0_1
     5	cairo-1.14.6_1,2
     6	vte3-0.42.4_1
     7	xfce4-conf-4.12.0
     8	gettext-runtime-0.19.8.1
     9	dbus-glib-0.104
    10	libX11-1.6.3,1
    11	gtk3-3.18.8_3
    12	atk-2.18.0
    13	glib-2.46.2_2
    14	libxfce4menu-4.13.0
root@vladiom:~ # 

Warnings are still present and not dependent on the use own gtk.css.
Comment 32 Olivier Duchateau freebsd_committer 2016-09-18 14:33:21 UTC
(In reply to Vladimir Omelchuk from comment #31)

I use same libraries version except for:
- sysutils/garcon 0.5.0
- x11/libexo 0.11.1
- x11/libxfce4menu 4.13.1

Usually, when devlopment releases are published, I use them (they are available on 'trunk' branch).

I run xfce4-terminal on 2 machines (with same libraries):
- i386 9.3-RELEASE (where default encoding is fr_FR.ISO8859-15)
- amd64 11.0-RC3 (where default encoding is fr_FR.UTF-8)

and everything is fine (except for ncurses disalogs)
Comment 33 Vladimir Omelchuk 2016-09-19 04:50:56 UTC
Update all ports which depends of libxfce4menu.

root@vladiom:~ # pkg version -v | grep -e ^garcon -e ^libexo -e ^libxfce4m
garcon-0.5.0                       =   up-to-date with index
libexo-0.11.1                      =   up-to-date with index
libxfce4menu-4.13.1                =   up-to-date with index

root@vladiom:~ # pkg query %dn-%dv xfce4-terminal | sort | nl
     1	atk-2.18.0
     2	cairo-1.14.6_1,2
     3	dbus-glib-0.104
     4	gdk-pixbuf2-2.32.3_1
     5	gettext-runtime-0.19.8.1
     6	glib-2.46.2_2
     7	gtk3-3.18.8_3
     8	libX11-1.6.3,1
     9	libxfce4menu-4.13.1
    10	libxfce4util-4.12.1
    11	libxml2-2.9.4
    12	pango-1.38.0_1
    13	vte3-0.42.4_1
    14	xfce4-conf-4.12.0
root@vladiom:~ #

Warnings are still present, but it is NOT CRITICAL!
Comment 34 Vladimir Omelchuk 2016-09-22 09:27:06 UTC
(In reply to Olivier Duchateau from comment #32)

P.S.
With libraries “libexo 0.11.1” Thunar works incorrectly (does not respond) and in the console I get warnings like this:

(Thunar:22867): Gtk-CRITICAL **: IA__gtk_tree_selection_set_select_function: assertion 'func != NULL' failed
(Thunar:22867): Gtk-CRITICAL **: IA__gtk_tree_selection_set_select_function: assertion 'func != NULL' failed
(Thunar:22867): Gtk-CRITICAL **: IA__gtk_tree_selection_set_select_function: assertion 'func != NULL' failed
(Thunar:22867): Gtk-CRITICAL **: IA__gtk_tree_selection_set_select_function: assertion 'func != NULL' failed
(Thunar:22867): Gtk-CRITICAL **: IA__gtk_tree_selection_set_select_function: assertion 'func != NULL' failed
(Thunar:22867): Gtk-CRITICAL **: IA__gtk_tree_selection_set_select_function: assertion 'func != NULL' failed
(Thunar:22867): Gtk-CRITICAL **: IA__gtk_tree_selection_set_select_function: assertion 'func != NULL' failed

Returned to libexo-0.10.7 (work without error):

root@vladiom:~ # pkg version -v | grep -e 'libexo' -e 'Thun*'
Thunar-1.6.10_2                    =   up-to-date with index
libexo-0.10.7                      =   up-to-date with index
Comment 35 Olivier Duchateau freebsd_committer 2016-10-17 15:45:05 UTC
Stable release (0.8.0) was published (currently in trunk/ branch). And I discussed with maintainer, warnings (Gtk-WARNING **: gtk_widget_size_allocate()) will disappear with Gtk+ 3.20 (or Gtk+ 3.22).

So we can stay with xfce4-terminal 0.6.3, or upgrade to 0.8.0 (with these warnings and ncurses glitches).

Note: I made some changes in trunk/ branch which are incompatible with ports tree, I'll apply changes if you agree to update.
Comment 36 Vladimir Omelchuk 2016-10-17 19:52:32 UTC
(In reply to Olivier Duchateau from comment #35)

OK, I agree to update.
Comment 37 Olivier Duchateau freebsd_committer 2016-10-18 17:03:51 UTC
I close this bug, because the 0.8.0 [1] fixes your problem.

[1] http://svnweb.freebsd.org/changeset/ports/424180
Comment 38 Vladimir Omelchuk 2016-10-18 18:49:42 UTC
(In reply to Olivier Duchateau from comment #37)

No folder «files» and file «pkg-message.in»

…
===>  Staging for xfce4-terminal-0.8.0
===>   xfce4-terminal-0.8.0 depends on file: /usr/local/libdata/pkgconfig/x11.pc - found
** Missing /usr/ports/x11/xfce4-terminal/files/pkg-message.in for xfce4-terminal-0.8.0.
*** Error code 1

Stop.
make: stopped in /usr/ports/x11/xfce4-terminal


root@vladiom:/usr/ports/x11/xfce4-terminal # ls -l
total 18
-rw-r--r--  1 root  wheel   726 Oct 18 21:43 Makefile
-rw-r--r--  1 root  wheel   185 Oct 18 21:43 distinfo
-rw-r--r--  1 root  wheel   246 Oct 18 21:43 pkg-descr
-rw-r--r--  1 root  wheel  3847 Oct 18 21:43 pkg-plist


Tue Oct 18 21:43:09 EEST 2016
------------------------------------------------
Repository Root: svn://svn0.eu.freebsd.org/ports
------------------------------------------------
Updating '.':
Restored 'x11/xfce4-terminal'
Restored 'x11/xfce4-terminal/pkg-plist'
Restored 'x11/xfce4-terminal/Makefile'
Restored 'x11/xfce4-terminal/distinfo'
Restored 'x11/xfce4-terminal/pkg-descr'
At revision 424202.
Comment 39 Olivier Duchateau freebsd_committer 2016-10-18 19:45:19 UTC
(In reply to Vladimir Omelchuk from comment #38)

I think your ports tree is not up-to-date, files/ directory and pkg-message.in exist (I can see in commit log, and I get no message).
Comment 40 Vladimir Omelchuk 2016-10-18 19:56:58 UTC
(In reply to Olivier Duchateau from comment #39)

All ports tree is up-to-date!!!

[svn update]
Tue Oct 18 22:51:22 EEST 2016
------------------------------------------------
Repository Root: svn://svn0.eu.freebsd.org/ports
------------------------------------------------
Updating '.':
Restored 'x11/xfce4-terminal'
Restored 'x11/xfce4-terminal/pkg-plist'
Restored 'x11/xfce4-terminal/Makefile'
Restored 'x11/xfce4-terminal/distinfo'
Restored 'x11/xfce4-terminal/pkg-descr'
At revision 424209.

[ls -l]
/usr/ports/x11/xfce4-terminal
total 18
-rw-r--r--  1 root  wheel   726 Oct 18 22:51 Makefile
-rw-r--r--  1 root  wheel   185 Oct 18 22:51 distinfo
-rw-r--r--  1 root  wheel   246 Oct 18 22:51 pkg-descr
-rw-r--r--  1 root  wheel  3847 Oct 18 22:51 pkg-plist

[svn info]
Path: .
Working Copy Root Path: /usr/ports
URL: svn://svn0.eu.freebsd.org/ports/head/x11/xfce4-terminal
Relative URL: ^/head/x11/xfce4-terminal
Repository Root: svn://svn0.eu.freebsd.org/ports
Repository UUID: 35697150-7ecd-e111-bb59-0022644237b5
Revision: 424209
Node Kind: directory
Schedule: normal
Last Changed Author: olivierd
Last Changed Rev: 424180
Last Changed Date: 2016-10-18 19:58:12 +0300 (Tue, 18 Oct 2016)
Comment 41 Vladimir Omelchuk 2016-10-18 20:13:01 UTC
https://docs.freebsd.org/cgi/getmsg.cgi?fetch=951837+0+current/svn-ports-all
(saved into file "changeset.ports.424180")

Author: olivierd
Date: Tue Oct 18 16:58:12 2016
New Revision: 424180
URL: https://svnweb.freebsd.org/changeset/ports/424180

Log:
  - Update to 0.8.0
  - Sort USES
  - Remove NLS option
  
  Tested by:	Vladimir Omelchuk (PR 209662)

Added:
  head/x11/xfce4-terminal/files/
  head/x11/xfce4-terminal/files/pkg-message.in   (contents, props changed)
Modified:
  head/UPDATING
  head/x11/xfce4-terminal/Makefile
  head/x11/xfce4-terminal/distinfo
  head/x11/xfce4-terminal/pkg-plist
...


$ grep ^Added changeset.ports.424180 
Added:
Added: head/x11/xfce4-terminal/files/pkg-message.in

$ grep ^Modified changeset.ports.424180 
Modified:
Modified: head/UPDATING
Modified: head/x11/xfce4-terminal/Makefile
Modified: head/x11/xfce4-terminal/distinfo
Modified: head/x11/xfce4-terminal/pkg-plist

Not record "Added: head/x11/xfce4-terminal/files/" ?
Comment 42 Vladimir Omelchuk 2016-10-18 20:18:43 UTC
(In reply to Olivier Duchateau from comment #39)

For test:
 - remove folder "x11/xfce4-terminal"
 - run again "svn update"
Comment 43 Olivier Duchateau freebsd_committer 2016-10-18 20:44:30 UTC
(In reply to Vladimir Omelchuk from comment #42)

Tested, and files/ directory is present. You must change your mirror host. Now svn.freebsd.org uses geo dns [1].

[1] https://www.freebsd.org/doc/handbook/svn.html
Comment 44 Vladimir Omelchuk 2016-10-18 21:00:55 UTC
(In reply to Olivier Duchateau from comment #43)

I have had bad experiences with the use of svn.freebsd.org and I do not plan to change anything.

May be folder «files» present only in the local svn repository?
Comment 45 Vladimir Omelchuk 2016-10-18 22:17:43 UTC
Something is wrong ..
After remove folder "x11/xfce4-terminal" and "svn update":

Wed Oct 19 01:11:53 EEST 2016
------------------------------------------------
Repository Root: svn://svn0.eu.freebsd.org/ports
------------------------------------------------
Updating '.':
Restored 'x11/xfce4-terminal'
Restored 'x11/xfce4-terminal/Makefile'
Restored 'x11/xfce4-terminal/distinfo'
Restored 'x11/xfce4-terminal/pkg-descr'
Restored 'x11/xfce4-terminal/pkg-plist'
At revision 424220.

[pwd+ls:] /usr/ports/x11/xfce4-terminal
total 18
-rw-r--r--  1 root  wheel   726 Oct 19 01:11 Makefile
-rw-r--r--  1 root  wheel   185 Oct 19 01:11 distinfo
-rw-r--r--  1 root  wheel   246 Oct 19 01:11 pkg-descr
-rw-r--r--  1 root  wheel  3847 Oct 19 01:11 pkg-plist

[svn list --recursive -r HEAD:]
Makefile
distinfo
files/
files/pkg-message.in
pkg-descr
pkg-plist

[svn info:]
Path: .
Working Copy Root Path: /usr/ports
URL: svn://svn0.eu.freebsd.org/ports/head/x11/xfce4-terminal
Relative URL: ^/head/x11/xfce4-terminal
Repository Root: svn://svn0.eu.freebsd.org/ports
Repository UUID: 35697150-7ecd-e111-bb59-0022644237b5
Revision: 424220
Node Kind: directory
Schedule: normal
Last Changed Author: olivierd
Last Changed Rev: 424180
Last Changed Date: 2016-10-18 19:58:12 +0300 (Tue, 18 Oct 2016)

In the SVN repository "files/" and "files/pkg-message.in" present ...
Comment 46 Vladimir Omelchuk 2016-10-18 23:34:02 UTC
For example, the same procedure with "xfce4-taskmanager":

[svn list]
# pwd && svn list --recursive -r HEAD
/usr/ports/x11/xfce4-taskmanager
Makefile
distinfo
files/
files/patch-src__exec-tool-button.c
pkg-descr
pkg-plist

# pwd && svn list --recursive -r HEAD
/usr/ports/x11/xfce4-terminal
Makefile
distinfo
files/
files/pkg-message.in
pkg-descr
pkg-plist


[svn update]
Wed Oct 19 02:13:08 EEST 2016
------------------------------------------------
Updating '.':
Restored 'x11/xfce4-taskmanager'
Restored 'x11/xfce4-taskmanager/pkg-plist'
Restored 'x11/xfce4-taskmanager/Makefile'
Restored 'x11/xfce4-taskmanager/distinfo'
Restored 'x11/xfce4-taskmanager/pkg-descr'
!!! Restored 'x11/xfce4-taskmanager/files'
Restored 'x11/xfce4-taskmanager/files/patch-src__exec-tool-button.c'
At revision 424223.

Wed Oct 19 02:14:09 EEST 2016
------------------------------------------------
Updating '.':
Restored 'x11/xfce4-terminal'
Restored 'x11/xfce4-terminal/pkg-plist'
Restored 'x11/xfce4-terminal/Makefile'
Restored 'x11/xfce4-terminal/distinfo'
Restored 'x11/xfce4-terminal/pkg-descr'
At revision 424223.

Folder 'files' for 'xfce4-taskmanager' present ,,,
Comment 47 Olivier Duchateau freebsd_committer 2016-10-19 04:28:10 UTC
Have you try partial checkout?

mkdir ~/tmp
cd tmp ; svn co svn://svn.freebsd.org/ports/head/x11/xfce4-terminal

And with svn0.eu.freebsd.org mirror, to see difference (if files/ directory exists).

If you add files/ directory into your ports tree, what's result of svn status (in x11/xfce4-terminal)?
Comment 48 Vladimir Omelchuk 2016-10-19 06:32:18 UTC
(In reply to Olivier Duchateau from comment #47)

Yesterday, I decided to make checkout for all ports tree and now all files present.
Probably, the problem was in the local svn repository, when a version conflict arose ...

Tue Oct 18 20:00:00 EEST 2016
------------------------------------------------
Repository Root: svn://svn0.eu.freebsd.org/ports
------------------------------------------------
Updating '.':
U    UPDATING
C    x11/xfce4-terminal/Makefile
C    x11/xfce4-terminal/distinfo
   C x11/xfce4-terminal/files
   A x11/xfce4-terminal/files/pkg-message.in
G    x11/xfce4-terminal/pkg-plist
...

P.S.
Other ports when planning to upgrade?
garcon-0.5.0                       >   succeeds index (index has 0.4.0_1)
libxfce4menu-4.13.1                >   succeeds index (index has 4.12.1_1)